<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="system-kamar" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="44f6a946-b810-483c-9f79-3e6b941b35bd">
	<property name="ireport.zoom" value="1.1000000000000085"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="New Data Adapter "/>
	<queryString>
		<![CDATA[SELECT 
  B.kelas_nm, 
  A.ruang_cd, 
  A.ruang_nm, 
  C.bangsal_nm
  FROM public.trx_ruang A
  JOIN public.trx_kelas B ON A.kelas_cd=B.kelas_cd
  LEFT JOIN public.trx_bangsal C ON A.bangsal_cd=C.bangsal_cd
  ORDER BY B.kelas_nm, A.ruang_nm;;]]>
	</queryString>
	<field name="kelas_nm" class="java.lang.String"/>
	<field name="ruang_cd" class="java.lang.String"/>
	<field name="ruang_nm" class="java.lang.String"/>
	<field name="bangsal_nm" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="60" splitType="Stretch">
			<line>
				<reportElement x="0" y="37" width="555" height="1" uuid="83790c95-a309-43ca-974d-1e64eed36a83"/>
			</line>
			<staticText>
				<reportElement x="143" y="0" width="281" height="25" uuid="43a3403e-90e9-49b0-a293-40d446d8efb0"/>
				<textElement>
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[DAFTAR KAMAR DAN BANGSAL]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="16" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="21" splitType="Stretch">
			<staticText>
				<reportElement x="43" y="1" width="103" height="20" uuid="14fb63e3-580e-432f-a2d5-b0873d98a360"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11" isBold="true"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<text><![CDATA[KELAS]]></text>
			</staticText>
			<staticText>
				<reportElement x="279" y="1" width="134" height="20" uuid="23c396e5-4451-460d-8354-cdba95109a62"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11" isBold="true"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<text><![CDATA[KODE KAMAR]]></text>
			</staticText>
			<staticText>
				<reportElement x="413" y="1" width="135" height="20" uuid="8eddc59e-1a7e-497b-96a7-b75f0b0449e1"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11" isBold="true"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<text><![CDATA[NAMA KAMAR]]></text>
			</staticText>
			<staticText>
				<reportElement x="146" y="1" width="133" height="20" uuid="84760dbc-9a51-4d40-bcfe-aa4475c4ac56"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11" isBold="true"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<text><![CDATA[NAMA BANGSAL]]></text>
			</staticText>
			<staticText>
				<reportElement x="9" y="1" width="34" height="20" uuid="a5901eac-d7a4-4b7c-a05c-726989dd2d59"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11" isBold="true"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<text><![CDATA[NO]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="22" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement isPrintRepeatedValues="false" x="43" y="0" width="103" height="20" uuid="caa21c93-d960-4d2a-9315-be5ade4a0b2d"/>
				<textElement>
					<font size="11"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{kelas_nm}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement isPrintRepeatedValues="false" x="146" y="0" width="133" height="20" uuid="c6941264-b8e8-4072-84d2-4cdb7edf353c"/>
				<textElement>
					<font size="11"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bangsal_nm}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="279" y="0" width="134" height="20" uuid="2e486468-204d-4d7e-8ded-10001315b11d"/>
				<textElement>
					<font size="11"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ruang_cd}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="413" y="0" width="135" height="20" uuid="a8b59e40-8fb5-486e-8de6-dcd44cbe45a3"/>
				<textElement>
					<font size="11"/>
					<paragraph leftIndent="5" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ruang_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="9" y="0" width="34" height="20" uuid="a96b64f3-5d10-4201-90d5-3be01c12d715"/>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="8" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="32" splitType="Stretch">
			<line>
				<reportElement x="0" y="12" width="555" height="1" uuid="887c75b9-548d-4c58-9302-f5749d5b5405"/>
			</line>
			<textField>
				<reportElement x="455" y="16" width="100" height="13" uuid="13cd1f50-5ee2-412a-9cdb-af0cdd3b6c6e"/>
				<textElement textAlignment="Right">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="9" y="16" width="149" height="13" uuid="f4a0e2fb-69e6-4650-8291-5d8a09be1e60"/>
				<textElement>
					<font isBold="true" isItalic="true"/>
				</textElement>
				<text><![CDATA[Hermina Information System]]></text>
			</staticText>
		</band>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
